Bug 11191 - clang 6.0 warnings in ccache 3.2.1
clang 6.0 warnings in ccache 3.2.1
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.2.1
x64 Mac OS X
: P5 normal
: 3.2.2
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-02 15:05 UTC by Jack Howarth
Modified: 2015-05-10 12:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack Howarth 2015-04-02 15:05:01 UTC
The ccache 3.2.1 release on x86_64-apple-darwin14 produces a number of compiler warnings of the form...

In file included from conf.c:200:
confitems.gperf:33:35: warning: static function 'parse_bool' is used
in an inline function with external linkage [-Wstatic-in-inline]
      {"stats",               23, ITEM(stats, bool)},
                                  ^
conf.c:196:2: note: expanded from macro 'ITEM'
        parse_##type, offsetof(struct conf, name), NULL
        ^
<scratch space>:70:1: note: expanded from here
parse_bool
^
confitems.gperf:54:1: note: use 'static' to give inline function
'confitems_get' internal linkage
__inline
^
static

from the Apple clang 6.0 compiler. These are eliminated with the change...

diff -uNr ccache-3.2.1.orig/confitems_lookup.c ccache-3.2.1/confitems_lookup.c
--- ccache-3.2.1.orig/confitems_lookup.c        2014-12-10 14:40:54.000000000 -0500
+++ ccache-3.2.1/confitems_lookup.c     2015-04-02 09:58:09.000000000 -0400
@@ -75,6 +75,7 @@
   return len + asso_values[(unsigned char)str[1]] + asso_values[(unsigned char)str[0]];
 }
 
+static
 #ifdef __GNUC__
 __inline
 #if defined __GNUC_STDC_INLINE__ || defined __GNUC_GNU_INLINE__
Comment 1 Joel Rosdahl 2015-04-27 19:54:44 UTC
Fixed in 74f43813b1642b174b4fdc90f5b2b446617350b0 on 3.2-maint.
Comment 2 Joel Rosdahl 2015-05-10 12:33:52 UTC
Included in v3.2.2.